## gamma gamma |

## Properties

gdouble | gamma | Read / Write

## Types and Values

struct | GstGamma

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGamma

## Description

Performs gamma correction on a video stream.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! gamma gamma=2.0 ! videoconvert ! ximagesink

This pipeline will make the image "brighter".

    1
    gst-launch-1.0 videotestsrc ! gamma gamma=0.5 ! videoconvert ! ximagesink

This pipeline will make the image "darker".

## Synopsis

### Element Information

plugin | videofilter
author | Arwed v. Merkatz <v.merkatz@gmx.net
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, Y42B, NV12, NV21, YUY2, UYVY, YVYU, I420, YV12, IYUV, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, Y42B, NV12, NV21, YUY2, UYVY, YVYU, I420, YV12, IYUV, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGamma

    struct GstGamma;

Opaque data structure.

## Property Details

### The `“gamma”` property

      “gamma”                    gdouble

gamma.

Flags: Read / Write

Allowed values: [0.01,10]

Default value: 1